| Home | Libraries | People | FAQ | More

##### date::as_local_time_point

Converts `*this` into a local time point (checked access).

###### Synopsis

    constexpr std::chrono::local_days
    as_local_time_point() const;

###### Description

The returned object has the same `time_since_epoch()` as `this->as_time_point()`, but uses the `std::chrono::local_t` pseudo-clock to better represent the absence of time zone information.

Requires C++20 calendar types.

###### Exception safety

Strong guarantee.

###### Exceptions

Type | Thrown On
--- | ---
`std::invalid_argument` | If `!this->valid()`.